Bug 1282857 - UI: Values in type dropdown on Cloud discovery screen should be titelized or have nice display name
UI: Values in type dropdown on Cloud discovery screen should be titelized or ...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Harpreet Kataria
Aziza Karol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 11:11 EST by Harpreet Kataria
Modified: 2015-12-08 08:48 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:48:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 12:58:09 EST

  None (edit)
Description Harpreet Kataria 2015-11-17 11:11:31 EST
Description of problem: UI: Values in type dropdown on Cloud discovery screen should be titelized or have nice display name


Version-Release number of selected component (if applicable):


How reproducible:100%


Steps to Reproduce:
1. Go To Cloud Providers list view
2. Click on Discover button from Configuration menu
3. In the type drop down it shows azure, ec2 as options

Actual results:In the type drop down it shows azure, ec2 as options

Expected results: Should display Azure, Amazon as options


Additional info:
Comment 2 Harpreet Kataria 2015-11-17 12:18:24 EST
https://github.com/ManageIQ/manageiq/pull/5485
Comment 3 CFME Bot 2015-11-17 16:05:22 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/0a0a34bb4ca23566cf482cb0219dd3a6c836df46

commit 0a0a34bb4ca23566cf482cb0219dd3a6c836df46
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Nov 17 12:15:44 2015 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Nov 17 15:27:27 2015 -0500

    Changes to show nice description for type dropdown values.
    
    Adjusted values in spec test
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1282857

 app/controllers/application_controller/ci_processing.rb       | 8 ++++----
 app/models/ext_management_system.rb                           | 2 +-
 app/views/ems_cloud/discover.html.haml                        | 4 ++--
 config/locales/en.yml                                         | 2 ++
 spec/controllers/application_controller/ci_processing_spec.rb | 2 +-
 spec/models/ext_management_system_spec.rb                     | 8 ++------
 6 files changed, 12 insertions(+), 14 deletions(-)
Comment 5 CFME Bot 2015-11-17 18:06:29 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=ab266d128114e7e3397d11bdbdc6e33e82aa1bd5

commit ab266d128114e7e3397d11bdbdc6e33e82aa1bd5
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Nov 17 12:15:44 2015 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Nov 17 16:05:20 2015 -0500

    Changes to show nice description for type dropdown values.
    
    Adjusted values in spec test
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1282857
    (cherry picked from commit 0a0a34b)

 app/controllers/application_controller/ci_processing.rb       | 8 ++++----
 app/models/ext_management_system.rb                           | 2 +-
 app/views/ems_cloud/discover.html.haml                        | 4 ++--
 config/locales/en.yml                                         | 2 ++
 spec/controllers/application_controller/ci_processing_spec.rb | 2 +-
 spec/models/ext_management_system_spec.rb                     | 8 ++------
 6 files changed, 12 insertions(+), 14 deletions(-)
Comment 6 CFME Bot 2015-11-17 18:06:35 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=24032f6ba32021a23200b327a338c5eb801fdf9b

commit 24032f6ba32021a23200b327a338c5eb801fdf9b
Merge: bf00695 ab266d1
Author:     Oleg Barenboim <obarenbo@redhat.com>
AuthorDate: Tue Nov 17 17:17:42 2015 -0500
Commit:     Oleg Barenboim <obarenbo@redhat.com>
CommitDate: Tue Nov 17 17:17:42 2015 -0500

    Merge branch '55z_pr_5485' into '5.5.z'
    
    Changes to show nice description for type dropdown values.
    
    Adjusted values in spec test
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1282857
    (cherry picked from commit 0a0a34b)
    
    @dclarizi please merge, this is clean cherry-pick for https://github.com/ManageIQ/manageiq/pull/5485
    
    See merge request !490

 app/controllers/application_controller/ci_processing.rb       | 8 ++++----
 app/models/ext_management_system.rb                           | 2 +-
 app/views/ems_cloud/discover.html.haml                        | 4 ++--
 config/locales/en.yml                                         | 2 ++
 spec/controllers/application_controller/ci_processing_spec.rb | 2 +-
 spec/models/ext_management_system_spec.rb                     | 8 ++------
 6 files changed, 12 insertions(+), 14 deletions(-)
Comment 7 Aziza Karol 2015-11-20 00:45:42 EST
Azure, Amazon is displayed as options in cloud discovery screen.

Verified:
5.5.0.11-rc1.20151117182049_653c0d4
Comment 9 errata-xmlrpc 2015-12-08 08:48:06 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.